OpenVDB 3.2.0

Classes | Public Types | Public Member Functions | List of all members
MergeBinsOp< PointIndexType > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
typedef Array< PointIndexType > | Segment
typedef Segment::Ptr | SegmentPtr
typedef std::pair< PointIndexType, PointIndexType > | IndexPair
typedef std::deque< IndexPair > | IndexPairList
typedef boost::shared_ptr< IndexPairList > | IndexPairListPtr
typedef std::map< Coord, IndexPairListPtr > | IndexPairListMap
typedef boost::shared_ptr< IndexPairListMap > | IndexPairListMapPtr

## Public Member Functions
| MergeBinsOp (IndexPairListMapPtr *bins, SegmentPtr *indexSegments, SegmentPtr *offsetSegments, Coord *coords, size_t numSegments)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ IndexPair

typedef std::pair<PointIndexType, PointIndexType> IndexPair

## ◆ IndexPairList

typedef std::deque<IndexPair> IndexPairList

## ◆ IndexPairListMap

typedef std::map<Coord, IndexPairListPtr> IndexPairListMap

## ◆ IndexPairListMapPtr

typedef boost::shared_ptr<IndexPairListMap> IndexPairListMapPtr

## ◆ IndexPairListPtr

typedef boost::shared_ptr<IndexPairList> IndexPairListPtr

## ◆ Segment

typedef Array<PointIndexType> Segment

## ◆ SegmentPtr

typedef Segment::Ptr SegmentPtr

## Constructor & Destructor Documentation

## ◆ MergeBinsOp()

MergeBinsOp | ( | IndexPairListMapPtr * | bins,
|  | SegmentPtr * | indexSegments,
|  | SegmentPtr * | offsetSegments,
|  | Coord * | coords,
|  | size_t | numSegments
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- PointPartitioner.h